%global module_name emojione
%global __python %{__python3}

Name:           nodejs-%{module_name}
Version:        2.2.4
Release:        1%{?dist}
Summary:        Emoji One is a complete set of emojis designed for the web
License:        MIT
URL:            http://www.emojione.com
Source0:        http://registry.npmjs.org/%{module_name}/-/%{module_name}-%{version}.tgz
Patch1:         %name-xx-build.patch
BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch
BuildRequires:  nodejs-packaging
Requires:       nodejs

%description
Emoji One is a complete set of emojis designed for the web. It includes
libraries to easily convert unicode characters to shortnames (:smile:)
and shortnames to our custom emoji images. PNG and SVG formats provided
for the emoji images.

%package devel
Summary:        Emoji One devel package
Group:          Development/Libraries
Requires:       %name = %{version}-%{release}

%description devel
The devel package contains the header files and developer docs for Emoji One.

%prep
%setup -q -c %name-%version
%patch1 -p0 -b .build
chmod a+x package/lib/python/emojipy/*.py

%build
# nothing to build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{module_name}
cp -R package/* %{buildroot}%{nodejs_sitelib}/%{module_name}
rm %{buildroot}%{nodejs_sitelib}/%{module_name}/CONTRIBUTING.md
rm %{buildroot}%{nodejs_sitelib}/%{module_name}/LICENSE.md
rm %{buildroot}%{nodejs_sitelib}/%{module_name}/README.md
%nodejs_symlink_deps

%files
%license package/LICENSE.md
%doc package/CONTRIBUTING.md package/README.md
%dir %{nodejs_sitelib}/%{module_name}/
%{nodejs_sitelib}/%{module_name}/[^l]*
%{nodejs_sitelib}/%{module_name}/lib/[b-h]*
%dir %{nodejs_sitelib}/%{module_name}/lib/js/
%{nodejs_sitelib}/%{module_name}/lib/js/emoji*
%{nodejs_sitelib}/%{module_name}/lib/[k-o]*
%dir %{nodejs_sitelib}/%{module_name}/lib/python/
%{nodejs_sitelib}/%{module_name}/lib/python/[^e]*
%dir %{nodejs_sitelib}/%{module_name}/lib/python/emojipy/
%{nodejs_sitelib}/%{module_name}/lib/python/emojipy/[^t]*
%{nodejs_sitelib}/%{module_name}/lib/[q-z]*

%files devel
%{nodejs_sitelib}/%{module_name}/lib/android
%{nodejs_sitelib}/%{module_name}/lib/ios
%{nodejs_sitelib}/%{module_name}/lib/js/tests
%{nodejs_sitelib}/%{module_name}/lib/python/emojipy/tests

%changelog
* Mon Jun 27 2016 Takao Fujiwara <tfujiwar@redhat.com> - 2.2.4-1
- Initial implementation
